## ugene-1.29.0.tar

=== src/corelibs/U2Core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2Core)

set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED Core Gui Widgets Script Network Xml)

add_definitions(
        -DBUILDING_U2CORE_DLL
        -DUGENE_MIN_VERSION_SQLITE=${UGENE_MIN_VERSION_SQLITE}
        -DUGENE_MIN_VERSION_MYSQL=${UGENE_MIN_VERSION_MYSQL}
)

include_directories(src)
include_directories(../../include)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)

add_library(U2Core SHARED ${HDRS} ${SRCS})

target_link_libraries(U2Core
        procps
        Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Network Qt5::Script Qt5::Xml
        ugenedb zlib)

=== src/libs_3rdparty/zlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(zlib)

find_package(Qt5 REQUIRED Core)

include_directories(src)

file(GLOB_RECURSE SRCS src/*.c)
file(GLOB_RECURSE HDRS src/*.h)

add_library(zlib STATIC ${HDRS} ${SRCS})

target_link_libraries(zlib
        Qt5::Core)

=== installer/linux/ubuntu/debian/control ===
Source: ugene
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ivan Efremov <iefremov@unipro.ru>
Build-Depends: qt5-default, qttools5-dev-tools, libqt5webkit5-dev, libqt5opengl5-dev, libqt5sql5-mysql, qtscript5-dev, libqt5svg5-dev, zlib1g-dev, libprocps4-dev, debhelper (>=5.0.38)
Standards-Version: 3.9.3
Homepage: http://ugene.net

Package: ugene
Architecture: any
Depends: ${shlibs:Depends}, libqt5core5a, libqt5dbus5, libqt5gui5, libqt5multimedia5, libqt5network5, libqt5opengl5, libqt5positioning5, libqt5printsupport5, libqt5qml5, libqt5quick5, libqt5script5, libqt5scripttools5, libqt5sensors5, libqt5sql5, libqt5svg5, libqt5webkit5, libqt5widgets5, libqt5xml5, libqt5sql5-mysql, ugene-data, ${misc:Depends}
Recommends: bowtie, bwa, clustalw, mafft, mrbayes, ncbi-blast+, t-coffee
Description: integrated bioinformatics toolkit
 Unipro UGENE is a cross-platform visual environment for DNA and protein 
 sequence analysis. UGENE integrates the most important bioinformatics 
 computational algorithms and provides an easy-to-use GUI for performing 
 complex analysis of the genomic data. One of the main features of UGENE
 is a designer for custom bioinformatics workflows.

Package: ugene-data
Architecture: all
Depends: ${misc:Depends}
Description: required data for UGENE - integrated bioinformatics toolkit
 Unipro UGENE is a cross-platform visual environment for DNA and protein 
 sequence analysis. 
 .
 This package contains various data and example files for UGENE. 

Package: ugene-non-free
Architecture: any
Depends: ${shlibs:Depends}, libqt5core5a, libqt5dbus5, libqt5gui5, libqt5multimedia5, libqt5network5, libqt5opengl5, libqt5positioning5, libqt5printsupport5, libqt5qml5, libqt5quick5, libqt5script5, libqt5scripttools5, libqt5sensors5, libqt5sql5, libqt5svg5, libqt5webkit5, libqt5widgets5, libqt5xml5, libqt5sql5-mysql, ugene, ${misc:Depends}
Description: non-free plugins for UGENE - integrated bioinformatics toolkit
 Unipro UGENE is a cross-platform visual environment for DNA and protein 
 sequence analysis. 
 .
 This package contains non-free plugins for UGENE.

=== installer/linux/ubuntu/debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

UPSTREAM_NAME=ugene
UPSTREAM_VERSION=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
UPSTREAM_FOLDER=$(UPSTREAM_NAME)-$(UPSTREAM_VERSION)

get-orig-source:
	uscan --force-download --no-symlink
	tar -xzf ../$(UPSTREAM_NAME)-$(UPSTREAM_VERSION).tar.gz  
	rm -rf $(UPSTREAM_FOLDER)/installer/linux 
	rm -rf $(UPSTREAM_FOLDER)/installer/macosx 
	rm -rf $(UPSTREAM_FOLDER)/installer/windows 
	rm -rf $(UPSTREAM_FOLDER)/src/libs_3rdparty/zlib
	GZIP="-9" tar -czf ../$(UPSTREAM_NAME)_$(UPSTREAM_VERSION)+repack.orig.tar.gz $(UPSTREAM_FOLDER) 
	rm -rf $(UPSTREAM_FOLDER) 


build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	qmake -r UGENE_EXCLUDE_LIST_ENABLED=1 UGENE_USE_BUNDLED_ZLIB=1 DEFINES+='UGENE_VERSION_SUFFIX=\\\"-ppa\\\"'
	$(MAKE) -j 8	
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_install -i data /usr/share/ugene

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s
##Create ugene package
	$(MAKE) INSTALL_ROOT=$$(pwd)/debian/ugene install
	rm -rf debian/ugene/usr/share/ugene
	rm debian/ugene/usr/lib/ugene/plugins/psipred.plugin
	rm debian/ugene/usr/lib/ugene/plugins/psipred.license
	rm debian/ugene/usr/lib/ugene/plugins/libpsipred.so
##Create ugene-non-free package
	$(MAKE) INSTALL_ROOT=$$(pwd)/debian/ugene-non-free sub-src-plugins_3rdparty-psipred-install_subtargets install_plugins
	rm debian/ugene-non-free/usr/lib/ugene/plugins/annotator.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/annotator.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/ball.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/ball.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/biostruct3d_view.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/biostruct3d_view.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/browser_support.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/browser_support.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/chroma_view.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/chroma_view.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/circular_view.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/circular_view.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dbi_bam.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dbi_bam.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dna_export.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dna_export.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dna_flexibility.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dna_flexibility.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dna_graphpack.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dna_graphpack.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dna_stat.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dna_stat.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dotplot.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/dotplot.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/enzymes.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/enzymes.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/external_tool_support.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/external_tool_support.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/genome_aligner.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/genome_aligner.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/gor4.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/gor4.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/hmm2.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/hmm2.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/hmm3.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/hmm3.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/kalign.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/kalign.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/linkdata_support.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/linkdata_support.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/opencl_support.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/opencl_support.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/orf_marker.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/orf_marker.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/pcr.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/pcr.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/phylip.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/phylip.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/primer3.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/primer3.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/ptools.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/ptools.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/query_designer.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/query_designer.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/remote_blast.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/remote_blast.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/remote_service.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/remote_service.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/repeat_finder.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/repeat_finder.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/sitecon.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/sitecon.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/smith_waterman.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/smith_waterman.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/umuscle.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/umuscle.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/variants.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/variants.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/weight_matrix.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/weight_matrix.plugin
	rm debian/ugene-non-free/usr/lib/ugene/plugins/workflow_designer.license
	rm debian/ugene-non-free/usr/lib/ugene/plugins/workflow_designer.plugin

	rm -rf debian/ugene-non-free/usr/share/ugene


binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	export LD_LIBRARY_PATH=$$(pwd)/debian/ugene/usr/lib/ugene:$$(pwd)/debian/ugene/usr/lib64/ugene && dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== installer/linux/ubuntu/debian/watch ===
version=3
opts=dversionmangle=s/\+repack// \
http://ugene.net/ugene_get_latest_source.html \
  downloads/ugene-([\d.]*)\.tar\.gz debian uupdate
